import Icon from "@mdi/react";
import { cn } from "~/lib/utils";

export function TaskIcon(props: { icon?: string }) {
    return (
        <div className={cn(
            "task-icon",
            "rounded border border-white align-text-bottom mr-2 select-none w-5 h-5 inline-flex justify-center items-center"
        )}>
            {props.icon && <Icon path={props.icon} size={1} />}
        </div>
    );
}
