import * as mdi_icons from "@mdi/js";

export type IconName = string; //keyof typeof icons;
export type Icon = typeof icons[IconName];

export const icons = Object.fromEntries(Object.entries(mdi_icons).map(([key, value]) => ([
    key.replace(/([A-Z])/g, "-$1").replace(/^mdi-/, "").toLowerCase(),
    {
        path: value,
        name: key.replace("mdi", "").replace(/([A-Z])/g, " $1"),
    }
])));
