import { createFileRoute } from '@tanstack/react-router'
import { NotesGrid } from '~/components/note/notes_grid';
import { useCollectionNotesMetadata } from '~/hooks/use-metadata';

export const Route = createFileRoute('/app/inbox')({
    component: RouteComponent,
})

function RouteComponent() {
    const notes = useCollectionNotesMetadata("")

    return (
        <NotesGrid notes={notes} />
    );
}
