import { createFileRoute } from "@tanstack/react-router"
import { NotesGrid } from "~/components/note/notes_grid";
import { useNotesMetadata } from "~/hooks/use-metadata";

export const Route = createFileRoute("/app/search")({
    component: RouteComponent,
})

function RouteComponent() {
    const notes = useNotesMetadata().toArray();

    return <NotesGrid notes={notes} allUnpinned />
}
