import { mdiOpenInNew } from "@mdi/js";
import Icon from "@mdi/react";
import { cn } from "~/lib/utils";

export function LinkIcon(props: { url: string }) {
    return (
        <a className={cn(
            "link-icon",
            "inline-flex align-text-bottom items-center justify-center ml-0.5",
        )}
            href={props.url}
            target="_blank"
        >
            <Icon path={mdiOpenInNew} size={.75} />
        </a>
    );
}
