export type ColorName = keyof typeof colors;
export type Color = typeof colors[ColorName];

// Tailwind colors
// Base: 400
// Hover: 300
export const colors = {
    red: { label: "Red", base: "#f87171", hover: "#fca5a5" },
    orange: { label: "Orange", base: "#fb923c", hover: "#fdba74" },
    amber: { label: "Amber", base: "#fbbf24", hover: "#fcd34d" },
    yellow: { label: "Yellow", base: "#facc15", hover: "#fde047" },
    lime: { label: "Lime", base: "#a3e635", hover: "#bef264" },
    green: { label: "Green", base: "#4ade80", hover: "#86efac" },
    emerald: { label: "Emerald", base: "#34d399", hover: "#6ee7b7" },
    teal: { label: "Teal", base: "#2dd4bf", hover: "#5eead4" },
    cyan: { label: "Cyan", base: "#22d3ee", hover: "#67e8f9" },
    sky: { label: "Sky", base: "#38bdf8", hover: "#7dd3fc" },
    blue: { label: "Blue", base: "#60a5fa", hover: "#93c5fd" },
    indigo: { label: "Indigo", base: "#818cf8", hover: "#a5b4fc" },
    violet: { label: "Violet", base: "#a78bfa", hover: "#c4b5fd" },
    purple: { label: "Purple", base: "#c084fc", hover: "#d8b4fe" },
    fuchsia: { label: "Fuchsia", base: "#e879f9", hover: "#f0abfc" },
    pink: { label: "Pink", base: "#f472b6", hover: "#f9a8d4" },
    rose: { label: "Rose", base: "#fb7185", hover: "#fda4af" },
    white: { label: "White", base: "#a3a3a3", hover: "#d4d4d4" },
};
